package capitulo07.bloque04;

import capitulo07.bloque04.listener.Calculadora;
import capitulo07.bloque04.listener.OperacionEvent;
import capitulo07.bloque04.listener.OperacionesListener;

public class AvisosCalculo implements OperacionesListener {

    public AvisosCalculo() {
        Calculadora.addOperationsListener(this);
    }

    @Override
    public void sumaMayor1000(OperacionEvent event) {
        System.out.println("La suma ha sobrepasado 1000 con el valor " + event.getResultado());
    }

    @Override
    public void multiplicacionMayor1000(OperacionEvent event) {
        System.out.println("La multiplicación ha sobrepasado 1000 con el valor " + event.getResultado());
    }

    @Override
    public void restaNegativa(OperacionEvent event) {
        System.out.println("El resultado de la resta es negativo: " + event.getResultado());
    }

    @Override
    public void divisor0(OperacionEvent event) {
        System.out.println("No es posible dividir por 0");
    }

    @Override
    public void raizNegativa(OperacionEvent event) {
        System.out.println("No se puede calcular la raiz cuadrada de un número negativo");
    }
}
